neutron-plugin-nicira should be renamed to neutron-plugin-vmware

Bug #1273877 reported by Armando Migliaccio on 2014-01-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron (Ubuntu)
High
Corey Bryant
Trusty
High
Corey Bryant
nvp-transport-node (Juju Charms Collection)
Undecided
Unassigned

Bug Description

This is not a bug per se, but more like a feature request.

As per:

https://blueprints.launchpad.net/neutron/+spec/nicira-plugin-renaming

During the Icehouse timeframe the Nicira NVP plugin is being renamed to VMware NSX plugin.

Canonical's packages for Neutron should reflect that.

I am happy to carry out the work if pointed in the right direction.

Thanks,
Armando

anyone out there?

James Page (james-page) wrote :

I'm also guessing that you might like the NVP charms updated for this name change as well

Specifically: nvp-transport-node -> nsx-transport-node

Changed in neutron (Ubuntu Trusty):
milestone: none → ubuntu-14.04-beta-1
importance: Undecided → High
status: New → Triaged
James Page (james-page) on 2014-02-18
Changed in neutron (Ubuntu Trusty):
assignee: nobody → Corey Bryant (corey.bryant)
Changed in neutron (Ubuntu Trusty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1~b3-0ubuntu1

---------------
neutron (1:2014.1~b3-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Re-enabled tests.
  * debian/patches/requirements.patch: Dropped no longer needed.
  * debian/patches/sql-alchemy-0.8.3-compat.patch: Dropped no longer needed.
  * debian/patches/bump-sqlalchemy-version.patch: Dropped no longer needed.
  * debian/neutron-plugin-vmware.install: Install usr/bin/neutron-nsx-manage.
  * debian/patches/use-concurrency.patch: Set default concurrency to 1.

  [ James Page ]
  * d/control,neutron-plugin-ibm*: Add plugin and agent packages for IBM
    SDN-VE.
  * d/control,neutron-openflow-*: Add agent package for OpenFlow ML2 agent.
  * d/control,neutron-plugin-bigswitch-agent*: Add agent package for
    BigSwitch.
  * d/neutron-plugin-mlnx-agent.{upstart,logrotate}: Correct log path
    and add logrotate configuration (LP: #1284144).

  [ Corey Bryant ]
  * Renamed Nicira NVP plugin to VMware NSX (LP: #1273877):
    - debian/neutron-plugin-*.install: Update path and file for rename
    - debian/tests/*-plugin: Replace nicira-plugin with vmware-plugin
    - debian/control:
      + Change neutron-plugin-nicira to transtional package
      + Add neutron-plugin-vmware package which breaks/replaces
        neutron-plugin-nicira package.
 -- James Page <email address hidden> Fri, 07 Mar 2014 09:38:32 +0000

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
James Page (james-page) on 2014-06-23
Changed in nvp-transport-node (Juju Charms Collection):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints